#line 1 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"

#line 95 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"


#include "smtp_parsers.h"
#include "content_type.h"


#line 11 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
static const int content_type_parser_start = 1;
static const int content_type_parser_first_final = 32;
static const int content_type_parser_error = 0;

static const int content_type_parser_en_balanced_ccontent = 31;
static const int content_type_parser_en_main = 1;


#line 100 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"


gboolean
rspamd_content_disposition_parser (const char *data, size_t len, struct rspamd_content_disposition *cd, rspamd_mempool_t *pool)
{
	const unsigned char *p = data, *pe = data + len, *eof, *qstart = NULL, *qend = NULL,
	*pname_start = NULL, *pname_end = NULL, *pvalue_start = NULL, *pvalue_end = NULL;
	int cs, *stack = NULL;
	gsize top = 0;
	struct _ragel_st_storage {
		int *data;
		gsize size;
	} st_storage;
	
	memset (&st_storage, 0, sizeof (st_storage));
	memset (cd, 0, sizeof (*cd));
	eof = pe;
	
	
#line 40 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
	{
		cs = (int)content_type_parser_start;
		top = 0;
	}
	
#line 118 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
	
	
#line 49 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
	{
		if ( p == pe )
			goto _test_eof;
		goto _resume;
		
		_again: {}
		switch ( cs ) {
			case 1: goto _st1;
			case 0: goto _st0;
			case 32: goto _st32;
			case 2: goto _st2;
			case 3: goto _st3;
			case 4: goto _st4;
			case 5: goto _st5;
			case 33: goto _st33;
			case 34: goto _st34;
			case 6: goto _st6;
			case 7: goto _st7;
			case 8: goto _st8;
			case 9: goto _st9;
			case 10: goto _st10;
			case 11: goto _st11;
			case 35: goto _st35;
			case 12: goto _st12;
			case 13: goto _st13;
			case 14: goto _st14;
			case 15: goto _st15;
			case 16: goto _st16;
			case 17: goto _st17;
			case 18: goto _st18;
			case 19: goto _st19;
			case 20: goto _st20;
			case 36: goto _st36;
			case 37: goto _st37;
			case 21: goto _st21;
			case 38: goto _st38;
			case 39: goto _st39;
			case 40: goto _st40;
			case 41: goto _st41;
			case 42: goto _st42;
			case 22: goto _st22;
			case 23: goto _st23;
			case 24: goto _st24;
			case 25: goto _st25;
			case 26: goto _st26;
			case 27: goto _st27;
			case 28: goto _st28;
			case 29: goto _st29;
			case 30: goto _st30;
			case 43: goto _st43;
			case 44: goto _st44;
			case 45: goto _st45;
			case 46: goto _st46;
			case 47: goto _st47;
			case 48: goto _st48;
			case 49: goto _st49;
			case 50: goto _st50;
			case 51: goto _st51;
			case 52: goto _st52;
			case 53: goto _st53;
			case 54: goto _st54;
			case 55: goto _st55;
			case 56: goto _st56;
			case 57: goto _st57;
			case 58: goto _st58;
			case 31: goto _st31;
			case 59: goto _st59;
		}
		
		_resume: {}
		switch ( cs ) {
			case 1:
			goto st_case_1;
			case 0:
			goto st_case_0;
			case 32:
			goto st_case_32;
			case 2:
			goto st_case_2;
			case 3:
			goto st_case_3;
			case 4:
			goto st_case_4;
			case 5:
			goto st_case_5;
			case 33:
			goto st_case_33;
			case 34:
			goto st_case_34;
			case 6:
			goto st_case_6;
			case 7:
			goto st_case_7;
			case 8:
			goto st_case_8;
			case 9:
			goto st_case_9;
			case 10:
			goto st_case_10;
			case 11:
			goto st_case_11;
			case 35:
			goto st_case_35;
			case 12:
			goto st_case_12;
			case 13:
			goto st_case_13;
			case 14:
			goto st_case_14;
			case 15:
			goto st_case_15;
			case 16:
			goto st_case_16;
			case 17:
			goto st_case_17;
			case 18:
			goto st_case_18;
			case 19:
			goto st_case_19;
			case 20:
			goto st_case_20;
			case 36:
			goto st_case_36;
			case 37:
			goto st_case_37;
			case 21:
			goto st_case_21;
			case 38:
			goto st_case_38;
			case 39:
			goto st_case_39;
			case 40:
			goto st_case_40;
			case 41:
			goto st_case_41;
			case 42:
			goto st_case_42;
			case 22:
			goto st_case_22;
			case 23:
			goto st_case_23;
			case 24:
			goto st_case_24;
			case 25:
			goto st_case_25;
			case 26:
			goto st_case_26;
			case 27:
			goto st_case_27;
			case 28:
			goto st_case_28;
			case 29:
			goto st_case_29;
			case 30:
			goto st_case_30;
			case 43:
			goto st_case_43;
			case 44:
			goto st_case_44;
			case 45:
			goto st_case_45;
			case 46:
			goto st_case_46;
			case 47:
			goto st_case_47;
			case 48:
			goto st_case_48;
			case 49:
			goto st_case_49;
			case 50:
			goto st_case_50;
			case 51:
			goto st_case_51;
			case 52:
			goto st_case_52;
			case 53:
			goto st_case_53;
			case 54:
			goto st_case_54;
			case 55:
			goto st_case_55;
			case 56:
			goto st_case_56;
			case 57:
			goto st_case_57;
			case 58:
			goto st_case_58;
			case 31:
			goto st_case_31;
			case 59:
			goto st_case_59;
		}
		goto st_out;
		_st1:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof1;
		st_case_1:
		switch( ( (*( p))) ) {
			case 65u: {
				goto _ctr3;
			}
			case 73u: {
				goto _ctr4;
			}
			case 97u: {
				goto _ctr3;
			}
			case 105u: {
				goto _ctr4;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _ctr2;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _ctr2;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr2;
				}
			} else if ( ( (*( p))) >= 66u ) {
				goto _ctr2;
			}
		} else {
			goto _ctr2;
		}
		{
			goto _st0;
		}
		st_case_0:
		_st0:
		cs = 0;
		goto _pop;
		_ctr2:
		{
#line 5 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 300 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st32;
		_ctr81:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 309 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st32;
		_st32:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof32;
		st_case_32:
		if ( ( (*( p))) == 59u ) {
			goto _ctr83;
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr6:
		{
#line 19 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			pname_start = p;
			pname_end = NULL;
		}
		
#line 358 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st2;
		_ctr83:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 367 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st2;
		_ctr87:
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 400 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st2;
		_ctr124:
		{
#line 15 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			cd->type = RSPAMD_CT_ATTACHMENT;
		}
		
#line 410 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 417 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st2;
		_ctr136:
		{
#line 11 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			cd->type = RSPAMD_CT_INLINE;
		}
		
#line 427 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 434 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st2;
		_st2:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof2;
		st_case_2:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr6;
			}
			case 34u: {
				goto _ctr8;
			}
			case 40u: {
				goto _ctr9;
			}
			case 61u: {
				goto _ctr7;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _ctr7;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _ctr7;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr7;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _ctr7;
			}
		} else {
			goto _ctr7;
		}
		{
			goto _st0;
		}
		_ctr7:
		{
#line 19 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			pname_start = p;
			pname_end = NULL;
		}
		
#line 494 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st3;
		_st3:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof3;
		st_case_3:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr11;
			}
			case 33u: {
				goto _st3;
			}
			case 61u: {
				goto _ctr12;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st3;
				}
			} else if ( ( (*( p))) >= 35u ) {
				goto _st3;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st3;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st3;
			}
		} else {
			goto _st3;
		}
		{
			goto _st0;
		}
		_ctr11:
		{
#line 26 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 558 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st4;
		_st4:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof4;
		st_case_4:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _st4;
			}
			case 61u: {
				goto _st5;
			}
		}
		{
			goto _st0;
		}
		_ctr74:
		{
#line 26 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 600 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st5;
		_ctr15:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 616 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st5;
		_st5:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof5;
		st_case_5:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr15;
			}
			case 34u: {
				goto _ctr17;
			}
			case 40u: {
				goto _ctr18;
			}
			case 61u: {
				goto _ctr16;
			}
		}
		if ( ( (*( p))) < 65u ) {
			if ( ( (*( p))) < 42u ) {
				if ( 33u <= ( (*( p))) && ( (*( p))) <= 39u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) > 46u ) {
				if ( 48u <= ( (*( p))) && ( (*( p))) <= 57u ) {
					goto _ctr16;
				}
			} else {
				goto _ctr16;
			}
		} else if ( ( (*( p))) > 90u ) {
			if ( ( (*( p))) < 192u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) > 223u ) {
				if ( ( (*( p))) > 239u ) {
					if ( ( (*( p))) <= 247u ) {
						goto _ctr21;
					}
				} else {
					goto _ctr20;
				}
			} else {
				goto _ctr19;
			}
		} else {
			goto _ctr16;
		}
		{
			goto _st0;
		}
		_ctr16:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 691 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st33;
		_ctr84:
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 724 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st33;
		_st33:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof33;
		st_case_33:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr85;
			}
			case 33u: {
				goto _st33;
			}
			case 40u: {
				goto _ctr86;
			}
			case 59u: {
				goto _ctr87;
			}
			case 61u: {
				goto _st33;
			}
		}
		if ( ( (*( p))) < 65u ) {
			if ( ( (*( p))) < 42u ) {
				if ( 35u <= ( (*( p))) && ( (*( p))) <= 39u ) {
					goto _st33;
				}
			} else if ( ( (*( p))) > 46u ) {
				if ( 48u <= ( (*( p))) && ( (*( p))) <= 57u ) {
					goto _st33;
				}
			} else {
				goto _st33;
			}
		} else if ( ( (*( p))) > 90u ) {
			if ( ( (*( p))) < 192u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st33;
				}
			} else if ( ( (*( p))) > 223u ) {
				if ( ( (*( p))) > 239u ) {
					if ( ( (*( p))) <= 247u ) {
						goto _st9;
					}
				} else {
					goto _st8;
				}
			} else {
				goto _st7;
			}
		} else {
			goto _st33;
		}
		{
			goto _st0;
		}
		_ctr85:
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 819 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st34;
		_st34:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof34;
		st_case_34:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _st34;
			}
			case 40u: {
				goto _st6;
			}
			case 59u: {
				goto _st2;
			}
		}
		{
			goto _st0;
		}
		_ctr23:
		{
#line 6 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
			{{
#line 28 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 6; top+= 1; goto _st31;}}
		
#line 862 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st6;
		_ctr86:
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 895 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st6;
		_st6:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof6;
		st_case_6:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr23;
			}
			case 41u: {
				goto _st34;
			}
		}
		if ( ( (*( p))) > 91u ) {
			if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st6;
			}
		} else if ( ( (*( p))) >= 32u ) {
			goto _st6;
		}
		{
			goto _st0;
		}
		_ctr19:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 940 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st7;
		_st7:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof7;
		st_case_7:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st33;
		}
		{
			goto _st0;
		}
		_ctr20:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 973 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st8;
		_st8:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof8;
		st_case_8:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st7;
		}
		{
			goto _st0;
		}
		_ctr21:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1006 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st9;
		_st9:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof9;
		st_case_9:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st8;
		}
		{
			goto _st0;
		}
		_ctr17:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1039 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st10;
		_st10:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof10;
		st_case_10:
		switch( ( (*( p))) ) {
			case 34u: {
				goto _ctr31;
			}
			case 92u: {
				goto _ctr32;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _ctr30;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _ctr35;
				}
			} else {
				goto _ctr34;
			}
		} else {
			goto _ctr33;
		}
		{
			goto _st0;
		}
		_ctr30:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1087 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st11;
		_st11:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof11;
		st_case_11:
		switch( ( (*( p))) ) {
			case 34u: {
				goto _ctr37;
			}
			case 92u: {
				goto _st13;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st11;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _st16;
				}
			} else {
				goto _st15;
			}
		} else {
			goto _st14;
		}
		{
			goto _st0;
		}
		_ctr31:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1135 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 84 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				qend = p;
			}
		}
		
#line 1145 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st35;
		_ctr37:
		{
#line 84 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				qend = p;
			}
		}
		
#line 1157 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st35;
		_ctr88:
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 1190 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st35;
		_st35:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof35;
		st_case_35:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr88;
			}
			case 40u: {
				goto _ctr89;
			}
			case 59u: {
				goto _ctr87;
			}
		}
		{
			goto _st0;
		}
		_ctr43:
		{
#line 6 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
			{{
#line 28 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 12; top+= 1; goto _st31;}}
		
#line 1233 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st12;
		_ctr89:
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 1266 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st12;
		_st12:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof12;
		st_case_12:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr43;
			}
			case 41u: {
				goto _st35;
			}
		}
		if ( ( (*( p))) > 91u ) {
			if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st12;
			}
		} else if ( ( (*( p))) >= 32u ) {
			goto _st12;
		}
		{
			goto _st0;
		}
		_ctr32:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1306 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st13;
		_st13:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof13;
		st_case_13:
		if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
			goto _st11;
		}
		{
			goto _st0;
		}
		_ctr33:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1334 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st14;
		_st14:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof14;
		st_case_14:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st11;
		}
		{
			goto _st0;
		}
		_ctr34:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1362 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st15;
		_st15:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof15;
		st_case_15:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st14;
		}
		{
			goto _st0;
		}
		_ctr35:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 1390 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st16;
		_st16:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof16;
		st_case_16:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st15;
		}
		{
			goto _st0;
		}
		_ctr18:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1423 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st17;
		_ctr46:
		{
#line 6 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
			{{
#line 28 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 17; top+= 1; goto _st31;}}
		
#line 1441 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st17;
		_st17:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof17;
		st_case_17:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr46;
			}
			case 41u: {
				goto _st18;
			}
		}
		if ( ( (*( p))) > 91u ) {
			if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st17;
			}
		} else if ( ( (*( p))) >= 32u ) {
			goto _st17;
		}
		{
			goto _st0;
		}
		_st18:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof18;
		st_case_18:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _st18;
			}
			case 34u: {
				goto _st10;
			}
			case 40u: {
				goto _st17;
			}
		}
		{
			goto _st0;
		}
		_ctr12:
		{
#line 26 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 1515 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st19;
		_st19:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof19;
		st_case_19:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr49;
			}
			case 34u: {
				goto _ctr17;
			}
			case 40u: {
				goto _ctr18;
			}
			case 61u: {
				goto _ctr51;
			}
		}
		if ( ( (*( p))) < 65u ) {
			if ( ( (*( p))) < 42u ) {
				if ( 33u <= ( (*( p))) && ( (*( p))) <= 39u ) {
					goto _ctr50;
				}
			} else if ( ( (*( p))) > 46u ) {
				if ( 48u <= ( (*( p))) && ( (*( p))) <= 57u ) {
					goto _ctr50;
				}
			} else {
				goto _ctr50;
			}
		} else if ( ( (*( p))) > 90u ) {
			if ( ( (*( p))) < 192u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr50;
				}
			} else if ( ( (*( p))) > 223u ) {
				if ( ( (*( p))) > 239u ) {
					if ( ( (*( p))) <= 247u ) {
						goto _ctr21;
					}
				} else {
					goto _ctr20;
				}
			} else {
				goto _ctr19;
			}
		} else {
			goto _ctr50;
		}
		{
			goto _st0;
		}
		_ctr53:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1590 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st20;
		_ctr49:
		{
#line 26 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 1610 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1624 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st20;
		_st20:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof20;
		st_case_20:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr53;
			}
			case 34u: {
				goto _ctr17;
			}
			case 40u: {
				goto _ctr18;
			}
			case 61u: {
				goto _ctr54;
			}
		}
		if ( ( (*( p))) < 65u ) {
			if ( ( (*( p))) < 42u ) {
				if ( 33u <= ( (*( p))) && ( (*( p))) <= 39u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) > 46u ) {
				if ( 48u <= ( (*( p))) && ( (*( p))) <= 57u ) {
					goto _ctr16;
				}
			} else {
				goto _ctr16;
			}
		} else if ( ( (*( p))) > 90u ) {
			if ( ( (*( p))) < 192u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) > 223u ) {
				if ( ( (*( p))) > 239u ) {
					if ( ( (*( p))) <= 247u ) {
						goto _ctr21;
					}
				} else {
					goto _ctr20;
				}
			} else {
				goto _ctr19;
			}
		} else {
			goto _ctr16;
		}
		{
			goto _st0;
		}
		_ctr54:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1699 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st36;
		_ctr90:
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 1732 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st36;
		_st36:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof36;
		st_case_36:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr91;
			}
			case 34u: {
				goto _ctr17;
			}
			case 40u: {
				goto _ctr92;
			}
			case 59u: {
				goto _ctr87;
			}
			case 61u: {
				goto _ctr16;
			}
		}
		if ( ( (*( p))) < 65u ) {
			if ( ( (*( p))) < 42u ) {
				if ( 33u <= ( (*( p))) && ( (*( p))) <= 39u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) > 46u ) {
				if ( 48u <= ( (*( p))) && ( (*( p))) <= 57u ) {
					goto _ctr16;
				}
			} else {
				goto _ctr16;
			}
		} else if ( ( (*( p))) > 90u ) {
			if ( ( (*( p))) < 192u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) > 223u ) {
				if ( ( (*( p))) > 239u ) {
					if ( ( (*( p))) <= 247u ) {
						goto _ctr21;
					}
				} else {
					goto _ctr20;
				}
			} else {
				goto _ctr19;
			}
		} else {
			goto _ctr16;
		}
		{
			goto _st0;
		}
		_ctr94:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1810 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st37;
		_ctr91:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1826 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 1857 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st37;
		_st37:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof37;
		st_case_37:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr94;
			}
			case 34u: {
				goto _ctr17;
			}
			case 40u: {
				goto _ctr95;
			}
			case 59u: {
				goto _st2;
			}
			case 61u: {
				goto _ctr16;
			}
		}
		if ( ( (*( p))) < 65u ) {
			if ( ( (*( p))) < 42u ) {
				if ( 33u <= ( (*( p))) && ( (*( p))) <= 39u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) > 46u ) {
				if ( 48u <= ( (*( p))) && ( (*( p))) <= 57u ) {
					goto _ctr16;
				}
			} else {
				goto _ctr16;
			}
		} else if ( ( (*( p))) > 90u ) {
			if ( ( (*( p))) < 192u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) > 223u ) {
				if ( ( (*( p))) > 239u ) {
					if ( ( (*( p))) <= 247u ) {
						goto _ctr21;
					}
				} else {
					goto _ctr20;
				}
			} else {
				goto _ctr19;
			}
		} else {
			goto _ctr16;
		}
		{
			goto _st0;
		}
		_ctr95:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1935 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st21;
		_ctr56:
		{
#line 6 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
			{{
#line 28 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 21; top+= 1; goto _st31;}}
		
#line 1953 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st21;
		_ctr92:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 1969 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 2000 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st21;
		_st21:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof21;
		st_case_21:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr56;
			}
			case 41u: {
				goto _st38;
			}
		}
		if ( ( (*( p))) > 91u ) {
			if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st21;
			}
		} else if ( ( (*( p))) >= 32u ) {
			goto _st21;
		}
		{
			goto _st0;
		}
		_st38:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof38;
		st_case_38:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _st38;
			}
			case 34u: {
				goto _st10;
			}
			case 40u: {
				goto _st21;
			}
			case 59u: {
				goto _st2;
			}
		}
		{
			goto _st0;
		}
		_ctr50:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 2073 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st39;
		_ctr96:
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 2106 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st39;
		_st39:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof39;
		st_case_39:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr97;
			}
			case 33u: {
				goto _st39;
			}
			case 40u: {
				goto _ctr86;
			}
			case 59u: {
				goto _ctr87;
			}
			case 61u: {
				goto _ctr99;
			}
		}
		if ( ( (*( p))) < 65u ) {
			if ( ( (*( p))) < 42u ) {
				if ( 35u <= ( (*( p))) && ( (*( p))) <= 39u ) {
					goto _st39;
				}
			} else if ( ( (*( p))) > 46u ) {
				if ( 48u <= ( (*( p))) && ( (*( p))) <= 57u ) {
					goto _st39;
				}
			} else {
				goto _st39;
			}
		} else if ( ( (*( p))) > 90u ) {
			if ( ( (*( p))) < 192u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st39;
				}
			} else if ( ( (*( p))) > 223u ) {
				if ( ( (*( p))) > 239u ) {
					if ( ( (*( p))) <= 247u ) {
						goto _st9;
					}
				} else {
					goto _st8;
				}
			} else {
				goto _st7;
			}
		} else {
			goto _st39;
		}
		{
			goto _st0;
		}
		_ctr97:
		{
#line 26 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 2188 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 2219 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st40;
		_st40:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof40;
		st_case_40:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _st40;
			}
			case 40u: {
				goto _st6;
			}
			case 59u: {
				goto _st2;
			}
			case 61u: {
				goto _st5;
			}
		}
		{
			goto _st0;
		}
		_ctr99:
		{
#line 26 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 2267 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st41;
		_ctr51:
		{
#line 26 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 2287 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 2301 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st41;
		_ctr101:
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 2334 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st41;
		_st41:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof41;
		st_case_41:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr102;
			}
			case 34u: {
				goto _ctr17;
			}
			case 40u: {
				goto _ctr92;
			}
			case 59u: {
				goto _ctr87;
			}
			case 61u: {
				goto _ctr51;
			}
		}
		if ( ( (*( p))) < 65u ) {
			if ( ( (*( p))) < 42u ) {
				if ( 33u <= ( (*( p))) && ( (*( p))) <= 39u ) {
					goto _ctr50;
				}
			} else if ( ( (*( p))) > 46u ) {
				if ( 48u <= ( (*( p))) && ( (*( p))) <= 57u ) {
					goto _ctr50;
				}
			} else {
				goto _ctr50;
			}
		} else if ( ( (*( p))) > 90u ) {
			if ( ( (*( p))) < 192u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr50;
				}
			} else if ( ( (*( p))) > 223u ) {
				if ( ( (*( p))) > 239u ) {
					if ( ( (*( p))) <= 247u ) {
						goto _ctr21;
					}
				} else {
					goto _ctr20;
				}
			} else {
				goto _ctr19;
			}
		} else {
			goto _ctr50;
		}
		{
			goto _st0;
		}
		_ctr104:
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 2412 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st42;
		_ctr102:
		{
#line 26 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 2432 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 41 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			
			if (pname_end) {
				pvalue_start = p;
				pvalue_end = NULL;
			}
		}
		
#line 2446 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 52 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (pname_end) {
				if (qstart) {
					pvalue_start = qstart;
				}
				if (qend && qend >= qstart) {
					pvalue_end = qend;
				}
				else if (p >= pvalue_start) {
					pvalue_end = p;
				}
				qstart = NULL;
				qend = NULL;
				
				if (pvalue_end && pvalue_end > pvalue_start && pname_end > pname_start) {
					rspamd_content_disposition_add_param (pool, cd, pname_start, pname_end, pvalue_start, pvalue_end);
				}
			}
			
			pname_start = NULL;
			pname_end = NULL;
			pvalue_start = NULL;
			pvalue_end = NULL;
			qend = NULL;
			qstart = NULL;
		}
		
#line 2477 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st42;
		_st42:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof42;
		st_case_42:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr104;
			}
			case 34u: {
				goto _ctr17;
			}
			case 40u: {
				goto _ctr95;
			}
			case 59u: {
				goto _st2;
			}
			case 61u: {
				goto _ctr54;
			}
		}
		if ( ( (*( p))) < 65u ) {
			if ( ( (*( p))) < 42u ) {
				if ( 33u <= ( (*( p))) && ( (*( p))) <= 39u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) > 46u ) {
				if ( 48u <= ( (*( p))) && ( (*( p))) <= 57u ) {
					goto _ctr16;
				}
			} else {
				goto _ctr16;
			}
		} else if ( ( (*( p))) > 90u ) {
			if ( ( (*( p))) < 192u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _ctr16;
				}
			} else if ( ( (*( p))) > 223u ) {
				if ( ( (*( p))) > 239u ) {
					if ( ( (*( p))) <= 247u ) {
						goto _ctr21;
					}
				} else {
					goto _ctr20;
				}
			} else {
				goto _ctr19;
			}
		} else {
			goto _ctr16;
		}
		{
			goto _st0;
		}
		_ctr8:
		{
#line 19 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			pname_start = p;
			pname_end = NULL;
		}
		
#line 2552 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st22;
		_st22:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof22;
		st_case_22:
		switch( ( (*( p))) ) {
			case 34u: {
				goto _ctr60;
			}
			case 92u: {
				goto _ctr61;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _ctr59;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _ctr64;
				}
			} else {
				goto _ctr63;
			}
		} else {
			goto _ctr62;
		}
		{
			goto _st0;
		}
		_ctr59:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 2600 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st23;
		_st23:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof23;
		st_case_23:
		switch( ( (*( p))) ) {
			case 34u: {
				goto _ctr66;
			}
			case 92u: {
				goto _st26;
			}
		}
		if ( ( (*( p))) < 192u ) {
			if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st23;
			}
		} else if ( ( (*( p))) > 223u ) {
			if ( ( (*( p))) > 239u ) {
				if ( ( (*( p))) <= 247u ) {
					goto _st29;
				}
			} else {
				goto _st28;
			}
		} else {
			goto _st27;
		}
		{
			goto _st0;
		}
		_ctr72:
		{
#line 26 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				pname_start = qstart;
			}
			if (qend && qend >= qstart) {
				pname_end = qend;
			}
			else if (p >= pname_start) {
				pname_end = p;
			}
			qstart = NULL;
			qend = NULL;
		}
		
#line 2657 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st24;
		_ctr60:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 2668 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 84 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				qend = p;
			}
		}
		
#line 2678 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st24;
		_ctr66:
		{
#line 84 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			if (qstart) {
				qend = p;
			}
		}
		
#line 2690 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st24;
		_st24:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof24;
		st_case_24:
		switch( ( (*( p))) ) {
			case 32u: {
				goto _ctr72;
			}
			case 40u: {
				goto _st25;
			}
			case 61u: {
				goto _ctr74;
			}
		}
		{
			goto _st0;
		}
		_ctr75:
		{
#line 6 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
			{{
#line 28 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 25; top+= 1; goto _st31;}}
		
#line 2733 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st25;
		_st25:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof25;
		st_case_25:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr75;
			}
			case 41u: {
				goto _st24;
			}
		}
		if ( ( (*( p))) > 91u ) {
			if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st25;
			}
		} else if ( ( (*( p))) >= 32u ) {
			goto _st25;
		}
		{
			goto _st0;
		}
		_ctr61:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 2773 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st26;
		_st26:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof26;
		st_case_26:
		if ( 32u <= ( (*( p))) && ( (*( p))) <= 126u ) {
			goto _st23;
		}
		{
			goto _st0;
		}
		_ctr62:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 2801 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st27;
		_st27:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof27;
		st_case_27:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st23;
		}
		{
			goto _st0;
		}
		_ctr63:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 2829 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st28;
		_st28:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof28;
		st_case_28:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st27;
		}
		{
			goto _st0;
		}
		_ctr64:
		{
#line 79 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = p;
			qend = NULL;
		}
		
#line 2857 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st29;
		_st29:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof29;
		st_case_29:
		if ( 128u <= ( (*( p))) && ( (*( p))) <= 191u ) {
			goto _st28;
		}
		{
			goto _st0;
		}
		_ctr9:
		{
#line 19 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			qstart = NULL;
			qend = NULL;
			pname_start = p;
			pname_end = NULL;
		}
		
#line 2887 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st30;
		_ctr77:
		{
#line 6 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
			{{
#line 28 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 30; top+= 1; goto _st31;}}
		
#line 2905 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st30;
		_st30:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof30;
		st_case_30:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr77;
			}
			case 41u: {
				goto _st2;
			}
		}
		if ( ( (*( p))) > 91u ) {
			if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st30;
			}
		} else if ( ( (*( p))) >= 32u ) {
			goto _st30;
		}
		{
			goto _st0;
		}
		_ctr3:
		{
#line 5 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2943 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st43;
		_ctr105:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 2952 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st43;
		_st43:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof43;
		st_case_43:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 84u: {
				goto _st44;
			}
			case 116u: {
				goto _st44;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr107:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3005 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st44;
		_st44:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof44;
		st_case_44:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 84u: {
				goto _st45;
			}
			case 116u: {
				goto _st45;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr109:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3058 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st45;
		_st45:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof45;
		st_case_45:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 65u: {
				goto _st46;
			}
			case 97u: {
				goto _st46;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 66u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr111:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3111 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st46;
		_st46:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof46;
		st_case_46:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 67u: {
				goto _st47;
			}
			case 99u: {
				goto _st47;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr113:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3164 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st47;
		_st47:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof47;
		st_case_47:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 72u: {
				goto _st48;
			}
			case 104u: {
				goto _st48;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr115:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3217 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st48;
		_st48:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof48;
		st_case_48:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 77u: {
				goto _st49;
			}
			case 109u: {
				goto _st49;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr117:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3270 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st49;
		_st49:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof49;
		st_case_49:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 69u: {
				goto _st50;
			}
			case 101u: {
				goto _st50;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr119:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3323 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st50;
		_st50:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof50;
		st_case_50:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 78u: {
				goto _st51;
			}
			case 110u: {
				goto _st51;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr121:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3376 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st51;
		_st51:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof51;
		st_case_51:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 84u: {
				goto _st52;
			}
			case 116u: {
				goto _st52;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr123:
		{
#line 15 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			cd->type = RSPAMD_CT_ATTACHMENT;
		}
		
#line 3430 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3437 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st52;
		_st52:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof52;
		st_case_52:
		if ( ( (*( p))) == 59u ) {
			goto _ctr124;
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr4:
		{
#line 5 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3482 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st53;
		_ctr125:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3491 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st53;
		_st53:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof53;
		st_case_53:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 78u: {
				goto _st54;
			}
			case 110u: {
				goto _st54;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr127:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3544 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st54;
		_st54:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof54;
		st_case_54:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 76u: {
				goto _st55;
			}
			case 108u: {
				goto _st55;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr129:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3597 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st55;
		_st55:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof55;
		st_case_55:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 73u: {
				goto _st56;
			}
			case 105u: {
				goto _st56;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr131:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3650 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st56;
		_st56:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof56;
		st_case_56:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 78u: {
				goto _st57;
			}
			case 110u: {
				goto _st57;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr133:
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3703 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st57;
		_st57:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof57;
		st_case_57:
		switch( ( (*( p))) ) {
			case 59u: {
				goto _ctr83;
			}
			case 69u: {
				goto _st58;
			}
			case 101u: {
				goto _st58;
			}
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr135:
		{
#line 11 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
			cd->type = RSPAMD_CT_INLINE;
		}
		
#line 3757 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		{
#line 8 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
			
		}
		
#line 3764 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st58;
		_st58:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof58;
		st_case_58:
		if ( ( (*( p))) == 59u ) {
			goto _ctr136;
		}
		if ( ( (*( p))) < 48u ) {
			if ( ( (*( p))) > 39u ) {
				if ( 42u <= ( (*( p))) && ( (*( p))) <= 46u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 33u ) {
				goto _st32;
			}
		} else if ( ( (*( p))) > 57u ) {
			if ( ( (*( p))) > 90u ) {
				if ( 94u <= ( (*( p))) && ( (*( p))) <= 126u ) {
					goto _st32;
				}
			} else if ( ( (*( p))) >= 65u ) {
				goto _st32;
			}
		} else {
			goto _st32;
		}
		{
			goto _st0;
		}
		_ctr79:
		{
#line 6 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
			{{
#line 28 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
					
					if (top >= st_storage.size) {
						st_storage.size = (top + 1) * 2;
						st_storage.data = realloc (st_storage.data, st_storage.size * sizeof (int));
						g_assert (st_storage.data != NULL);
						stack = st_storage.data;
					}
				}
				stack[top] = 31; top+= 1; goto _st31;}}
		
#line 3818 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st31;
		_st31:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof31;
		st_case_31:
		switch( ( (*( p))) ) {
			case 40u: {
				goto _ctr79;
			}
			case 41u: {
				goto _ctr80;
			}
		}
		if ( ( (*( p))) > 91u ) {
			if ( 93u <= ( (*( p))) && ( (*( p))) <= 126u ) {
				goto _st31;
			}
		} else if ( ( (*( p))) >= 32u ) {
			goto _st31;
		}
		{
			goto _st0;
		}
		_ctr80:
		{
#line 7 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition.rl"
			{top -= 1;cs = stack[top];goto _again;} }
		
#line 3855 "/builddir/build/BUILD/rspamd-3.6/redhat-linux-build/src/content_disposition.rl.c"
		
		goto _st59;
		_st59:
		if ( p == eof ) {
			if ( cs >= 32 )
				goto _out;
			else
				goto _pop;
		}
		p+= 1;
		if ( p == pe )
			goto _test_eof59;
		st_case_59:
		{
			goto _st0;
		}
		st_out:
		_test_eof1: cs = 1; goto _test_eof; 
		_test_eof32: cs = 32; goto _test_eof; 
		_test_eof2: cs = 2; goto _test_eof; 
		_test_eof3: cs = 3; goto _test_eof; 
		_test_eof4: cs = 4; goto _test_eof; 
		_test_eof5: cs = 5; goto _test_eof; 
		_test_eof33: cs = 33; goto _test_eof; 
		_test_eof34: cs = 34; goto _test_eof; 
		_test_eof6: cs = 6; goto _test_eof; 
		_test_eof7: cs = 7; goto _test_eof; 
		_test_eof8: cs = 8; goto _test_eof; 
		_test_eof9: cs = 9; goto _test_eof; 
		_test_eof10: cs = 10; goto _test_eof; 
		_test_eof11: cs = 11; goto _test_eof; 
		_test_eof35: cs = 35; goto _test_eof; 
		_test_eof12: cs = 12; goto _test_eof; 
		_test_eof13: cs = 13; goto _test_eof; 
		_test_eof14: cs = 14; goto _test_eof; 
		_test_eof15: cs = 15; goto _test_eof; 
		_test_eof16: cs = 16; goto _test_eof; 
		_test_eof17: cs = 17; goto _test_eof; 
		_test_eof18: cs = 18; goto _test_eof; 
		_test_eof19: cs = 19; goto _test_eof; 
		_test_eof20: cs = 20; goto _test_eof; 
		_test_eof36: cs = 36; goto _test_eof; 
		_test_eof37: cs = 37; goto _test_eof; 
		_test_eof21: cs = 21; goto _test_eof; 
		_test_eof38: cs = 38; goto _test_eof; 
		_test_eof39: cs = 39; goto _test_eof; 
		_test_eof40: cs = 40; goto _test_eof; 
		_test_eof41: cs = 41; goto _test_eof; 
		_test_eof42: cs = 42; goto _test_eof; 
		_test_eof22: cs = 22; goto _test_eof; 
		_test_eof23: cs = 23; goto _test_eof; 
		_test_eof24: cs = 24; goto _test_eof; 
		_test_eof25: cs = 25; goto _test_eof; 
		_test_eof26: cs = 26; goto _test_eof; 
		_test_eof27: cs = 27; goto _test_eof; 
		_test_eof28: cs = 28; goto _test_eof; 
		_test_eof29: cs = 29; goto _test_eof; 
		_test_eof30: cs = 30; goto _test_eof; 
		_test_eof43: cs = 43; goto _test_eof; 
		_test_eof44: cs = 44; goto _test_eof; 
		_test_eof45: cs = 45; goto _test_eof; 
		_test_eof46: cs = 46; goto _test_eof; 
		_test_eof47: cs = 47; goto _test_eof; 
		_test_eof48: cs = 48; goto _test_eof; 
		_test_eof49: cs = 49; goto _test_eof; 
		_test_eof50: cs = 50; goto _test_eof; 
		_test_eof51: cs = 51; goto _test_eof; 
		_test_eof52: cs = 52; goto _test_eof; 
		_test_eof53: cs = 53; goto _test_eof; 
		_test_eof54: cs = 54; goto _test_eof; 
		_test_eof55: cs = 55; goto _test_eof; 
		_test_eof56: cs = 56; goto _test_eof; 
		_test_eof57: cs = 57; goto _test_eof; 
		_test_eof58: cs = 58; goto _test_eof; 
		_test_eof31: cs = 31; goto _test_eof; 
		_test_eof59: cs = 59; goto _test_eof; 
		
		_test_eof: {}
		if ( p == eof ) {
			switch ( cs ) {
				case 1: {
					break;
				}
				case 0: {
					break;
				}
				case 32: {
					break;
				}
				case 2: {
					break;
				}
				case 3: {
					break;
				}
				case 4: {
					break;
				}
				case 5: {
					break;
				}
				case 33: {
					break;
				}
				case 34: {
					break;
				}
				case 6: {
					break;
				}
				case 7: {
					break;
				}
				case 8: {
					break;
				}
				case 9: {
					break;
				}
				case 10: {
					break;
				}
				case 11: {
					break;
				}
				case 35: {
					break;
				}
				case 12: {
					break;
				}
				case 13: {
					break;
				}
				case 14: {
					break;
				}
				case 15: {
					break;
				}
				case 16: {
					break;
				}
				case 17: {
					break;
				}
				case 18: {
					break;
				}
				case 19: {
					break;
				}
				case 20: {
					break;
				}
				case 36: {
					break;
				}
				case 37: {
					break;
				}
				case 21: {
					break;
				}
				case 38: {
					break;
				}
				case 39: {
					break;
				}
				case 40: {
					break;
				}
				case 41: {
					break;
				}
				case 42: {
					break;
				}
				case 22: {
					break;
				}
				case 23: {
					break;
				}
				case 24: {
					break;
				}
				case 25: {
					break;
				}
				case 26: {
					break;
				}
				case 27: {
					break;
				}
				case 28: {
					break;
				}
				case 29: {
					break;
				}
				case 30: {
					break;
				}
				case 43: {
					break;
				}
				case 44: {
					break;
				}
				case 45: {
					break;
				}
				case 46: {
					break;
				}
				case 47: {
					break;
				}
				case 48: {
					break;
				}
				case 49: {
					break;
				}
				case 50: {
					break;
				}
				case 51: {
					break;
				}
				case 52: {
					break;
				}
				case 53: {
					break;
				}
				case 54: {
					break;
				}
				case 55: {
					break;
				}
				case 56: {
					break;
				}
				case 57: {
					break;
				}
				case 58: {
					break;
				}
				case 31: {
					break;
				}
				case 59: {
					break;
				}
			}
			switch ( cs ) {
			}
			switch ( cs ) {
				case 1:
				goto _st1;case 0:
				goto _st0;case 32:
				goto _ctr81;case 2:
				goto _st2;case 3:
				goto _st3;case 4:
				goto _st4;case 5:
				goto _st5;case 33:
				goto _ctr84;case 34:
				goto _st34;case 6:
				goto _st6;case 7:
				goto _st7;case 8:
				goto _st8;case 9:
				goto _st9;case 10:
				goto _st10;case 11:
				goto _st11;case 35:
				goto _ctr88;case 12:
				goto _st12;case 13:
				goto _st13;case 14:
				goto _st14;case 15:
				goto _st15;case 16:
				goto _st16;case 17:
				goto _st17;case 18:
				goto _st18;case 19:
				goto _st19;case 20:
				goto _st20;case 36:
				goto _ctr90;case 37:
				goto _st37;case 21:
				goto _st21;case 38:
				goto _st38;case 39:
				goto _ctr96;case 40:
				goto _st40;case 41:
				goto _ctr101;case 42:
				goto _st42;case 22:
				goto _st22;case 23:
				goto _st23;case 24:
				goto _st24;case 25:
				goto _st25;case 26:
				goto _st26;case 27:
				goto _st27;case 28:
				goto _st28;case 29:
				goto _st29;case 30:
				goto _st30;case 43:
				goto _ctr105;case 44:
				goto _ctr107;case 45:
				goto _ctr109;case 46:
				goto _ctr111;case 47:
				goto _ctr113;case 48:
				goto _ctr115;case 49:
				goto _ctr117;case 50:
				goto _ctr119;case 51:
				goto _ctr121;case 52:
				goto _ctr123;case 53:
				goto _ctr125;case 54:
				goto _ctr127;case 55:
				goto _ctr129;case 56:
				goto _ctr131;case 57:
				goto _ctr133;case 58:
				goto _ctr135;case 31:
				goto _st31;case 59:
				goto _st59;	}
		}
		
		if ( cs >= 32 )
			goto _out; _pop: {}
		_out: {}
	}
	
#line 119 "/builddir/build/BUILD/rspamd-3.6/src/ragel/content_disposition_parser.rl"
	
	
	if (st_storage.data) {
		free (st_storage.data);
	}
	
	return cd->attrs != NULL || cd->type != RSPAMD_CT_UNKNOWN;
}
